Get transaction history
GET
/v1/asset/history
const url = 'https://api.parasta.io/v1/asset/history?type=transfer&page=1&size=20';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.parasta.io/v1/asset/history?type=transfer&page=1&size=20' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” type
string
tokenId
string
networkId
string
cexAccountId
string
from
string format: date-time
to
string format: date-time
page
integer
size
integer
Responses
Section titled “ Responses ”OK
Media type application/json
object
page
integer
size
integer
totalCount
integer
items
Array<object>
object
id
string
type
string
direction
string
tokenId
string
symbol
string
amount
string
displayAmount
string
valueKrw
string
networkId
string
counterparty
string
memo
string
relatedExchangeId
string
cexAccountId
string
cexTxId
string
txHash
string
status
string
createdAt
string format: date-time
completedAt
string format: date-time
Example
{ "items": [ { "type": "transfer", "direction": "in", "status": "completed" } ]}